Portfolio

Record a fund cash debit

POST/portfolio/transactions/fund-cash/debit

Debits cash from a fund's cash account or cash pot, creating the corresponding transaction record.

Request body

application/json, required · PortfolioFundCashDebitRequest

  • source_typestringRequired#
    One of: fund_cash, fund_cash_pot
  • source_idstring#
  • settlement_datestring (date-time)Required#
  • asset_idintegerRequired#
  • investor_idinteger | null#
  • amountnumberRequired#
  • descriptionstring | null#
{
  "source_type": "fund_cash",
  "source_id": "string",
  "settlement_date": "2026-06-12T10:00:00+00:00",
  "asset_id": 1,
  "investor_id": 1,
  "amount": 1,
  "description": "string"
}

Responses

200
201
422

Validation error

Examples

curl -X POST https://your-org-domain/kong/core/api/v2/portfolio/transactions/fund-cash/debit\
  -H "Authorization: Bearer $HELM_API_KEY"\
  -H "Content-Type: application/json"\
  -d '{
  "source_type": "fund_cash",
  "source_id": "string",
  "settlement_date": "2026-06-12T10:00:00+00:00",
  "asset_id": 1,
  "investor_id": 1,
  "amount": 1,
  "description": "string"
}'